Skip to content

List Agent Metrics

Request

Return the list of metric names (Influx 'field' values) available for this agent in the given time window. Used by the frontend to populate the checkbox list.

Response: { "agent_id": "<ap_id>", "window_minutes": , "metrics": [ { "name": "aa", "label": "aa" }, { "name": "bb", "label": "bb" }, ... ] }

Security
OAuth2PasswordBearer
Query
agentstring(Agent)required

Agent ap_id (same value used in Influx measurement 'agent/<ap_id>/data')

windowstring or integer(Window)
Any of:

Window size for discovering metrics, e.g. 1, 5, 10 (minutes) or '1h'

string
GET
/api/v1/metrics/agent_metrics
curl -i -X GET \
  'https://matric-docs.redocly.app/_mock/openapi/api/v1/metrics/agent_metrics?agent=string&window=5'

Responses

Successful Response

Bodyapplication/json
any
Response
// No response example